The cardinality of PowerElectronicsConnection<->PowerElectronicsUnit is 1:0..* for the canonical model, while the cardinality is
1:0..1 at the profile level.

Proposed Solution
Solution is to:

- In the 301 for the UML change the cardinality from 1..1 to 0..1 on the PowerElectronicsConnection role end.
- In the 452 EQ profile change the direction of the association
- In the 452 EQ profile change the cardinality on the PowerElectronicsUnit role end to 0..*

Decision

Call 18 Oct 2023
it is not clear why we have the many side at the PowerElectronicsUnit. This does not match the pattern we have between
GeneratingUnit and RotatingMachine. This will need follow up discussion.

14-Feb-2024 discussed further during the WG13 weekly call:
- In the 301 for the UML change the cardinality from 1..1 to 0..1 on the PowerElectronicsConnection role end.

- In the 452 EQ profile change the direction of the association
- In the 452 EQ profile change the cardinality on the PowerElectronicsUnit role end to 0..”

History

#1 - 10/18/2023 11:04 AM - Chavdar Ilvanov
- Status changed from New to Open

- Decision updated

#2 - 10/18/2023 11:04 AM - Chavdar Ivanov

- Status changed from Open to In Progress

#3 - 02/14/2024 10:58 AM - Todd Viegut
- Proposed Solution updated
- Decision updated

#4 - 02/14/2024 10:59 AM - Todd Viegut

- Decision updated

#5 - 02/14/2024 11:08 AM - Todd Viegut
- Base Release set to CIM18
- Solution to be Applied To set to CIM18v11

#6 - 02/14/2024 11:28 AM - Todd Viegut
- Proposed Solution updated

- Decision updated
